# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-odroid-u3
pkgdesc="HARDKERNEL ODROID-U3"
pkgver=0.1
pkgrel=0
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base linux-odroid-u3 u-boot-odroid mkbootimg mesa-dri-gallium"
makedepends="devicepkg-dev"
source="deviceinfo"
subpackages="
        $pkgname-kernel-downstream:kernel_downstream
        $pkgname-kernel-mainline:kernel_mainline
        $pkgname-kernel-mainline_exynos:kernel_mainline_exynos
"


build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
}

kernel_downstream() {
	pkgdesc="Downstream kernel from HARDKERNEL"
        depends="linux-odroid mesa-dri-gallium"
        devicepkg_subpackage_kernel $startdir $pkgname $subpkgname
}

kernel_mainline() {
	pkgdesc="Close to mainline kernel for Odroid devices"
	#depends="linux-odroid-mainline mesa-dri-gallium"
	depends="linux-odroid-u3 mesa-dri-gallium"
	devicepkg_subpackage_kernel $startdir $pkgname $subpkgname
}

kernel_mainline_exynos() {
        pkgdesc="Close to mainline kernel (exynos4 package)"
        depends="linux-postmarketos-exynos4 mesa-dri-gallium"
        devicepkg_subpackage_kernel $startdir $pkgname $subpkgname
}


sha512sums="5960ceab334f7a21757d29b632a6dee302ae6f8c9e280ceabe09a1a9af9e04b11ae9e3af7515726f6fa4c08b4695bad5b58100a2c225ba453089d55110ad3d18  deviceinfo"
